diff --git a/contrib/ntp/ntpd/ntp_parser.c b/contrib/ntp/ntpd/ntp_parser.c
index 834b1fbd1acc..e5ee5e10a459 100644
--- a/contrib/ntp/ntpd/ntp_parser.c
+++ b/contrib/ntp/ntpd/ntp_parser.c
@@ -2934,23 +2954,23 @@ yyparse (void)
 					"Unreasonable ippeerlimit value (%d) in %s line %d, column %d.  Using 0.",
 					(yyvsp[0].Integer),
 					ip_ctx->fname,
-					ip_ctx->errpos.nline,
-					ip_ctx->errpos.ncol);
+					ip_ctx->curpos.nline,
+					ip_ctx->curpos.ncol);
 				(yyvsp[0].Integer) = 0;
 			}
 			(yyval.Integer) = (yyvsp[0].Integer);
 		}
-#line 2944 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 2964 "ntp_parser.c"
     break;
 
-  case 140: /* ac_flag_list: %empty  */
-#line 917 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 143: /* ac_flag_list: %empty  */
+#line 946 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val_fifo) = NULL; }
-#line 2950 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 2970 "ntp_parser.c"
     break;
 
-  case 141: /* ac_flag_list: ac_flag_list access_control_flag  */
-#line 919 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 144: /* ac_flag_list: ac_flag_list access_control_flag  */
+#line 948 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
@@ -2958,11 +2978,11 @@ yyparse (void)
 			av = create_attr_ival((yyvsp[0].Integer), 1);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), av);
 		}
-#line 2962 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 2982 "ntp_parser.c"
     break;
 
-  case 142: /* ac_flag_list: ac_flag_list T_Serverresponse T_Fuzz  */
-#line 927 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 145: /* ac_flag_list: ac_flag_list T_Serverresponse T_Fuzz  */
+#line 956 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
@@ -2970,100 +2990,100 @@ yyparse (void)
 			av = create_attr_ival(T_ServerresponseFuzz, 1);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), av);
 		}
-#line 2974 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 2994 "ntp_parser.c"
     break;
 
-  case 160: /* discard_option_list: discard_option_list discard_option  */
-#line 958 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 163: /* discard_option_list: discard_option_list discard_option  */
+#line 987 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2983 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3003 "ntp_parser.c"
     break;
 
-  case 161: /* discard_option_list: discard_option  */
-#line 963 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 164: /* discard_option_list: discard_option  */
+#line 992 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 2992 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3012 "ntp_parser.c"
     break;
 
-  case 162: /* discard_option: discard_option_keyword T_Integer  */
-#line 971 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 165: /* discard_option: discard_option_keyword T_Integer  */
+#line 1000 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 2998 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3018 "ntp_parser.c"
     break;
 
-  case 166: /* mru_option_list: mru_option_list mru_option  */
-#line 982 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 169: /* mru_option_list: mru_option_list mru_option  */
+#line 1011 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3007 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3027 "ntp_parser.c"
     break;
 
-  case 167: /* mru_option_list: mru_option  */
-#line 987 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 170: /* mru_option_list: mru_option  */
+#line 1016 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3016 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3036 "ntp_parser.c"
     break;
 
-  case 168: /* mru_option: mru_option_keyword T_Integer  */
-#line 995 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 171: /* mru_option: mru_option_keyword T_Integer  */
+#line 1024 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 3022 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3042 "ntp_parser.c"
     break;
 
-  case 177: /* fudge_command: T_Fudge address fudge_factor_list  */
-#line 1015 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 180: /* fudge_command: T_Fudge address fudge_factor_list  */
+#line 1044 "../../ntpd/ntp_parser.y"
                 {
 			addr_opts_node *aon;
 
 			aon = create_addr_opts_node((yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.fudge, aon);
 		}
-#line 3033 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3053 "ntp_parser.c"
     break;
 
-  case 178: /* fudge_factor_list: fudge_factor_list fudge_factor  */
-#line 1025 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 181: /* fudge_factor_list: fudge_factor_list fudge_factor  */
+#line 1054 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3042 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3062 "ntp_parser.c"
     break;
 
-  case 179: /* fudge_factor_list: fudge_factor  */
-#line 1030 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 182: /* fudge_factor_list: fudge_factor  */
+#line 1059 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3051 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3071 "ntp_parser.c"
     break;
 
-  case 180: /* fudge_factor: fudge_factor_dbl_keyword number  */
-#line 1038 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 183: /* fudge_factor: fudge_factor_dbl_keyword number  */
+#line 1067 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
-#line 3057 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3077 "ntp_parser.c"
     break;
 
-  case 181: /* fudge_factor: fudge_factor_bool_keyword boolean  */
-#line 1040 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 184: /* fudge_factor: fudge_factor_bool_keyword boolean  */
+#line 1069 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 3063 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3083 "ntp_parser.c"
     break;
 
-  case 182: /* fudge_factor: T_Stratum T_Integer  */
-#line 1042 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 185: /* fudge_factor: T_Stratum T_Integer  */
+#line 1071 "../../ntpd/ntp_parser.y"
                 {
 			if ((yyvsp[0].Integer) >= 0 && (yyvsp[0].Integer) <= 16) {
 				(yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
@@ -3072,124 +3092,124 @@ yyparse (void)
 				yyerror("fudge factor: stratum value not in [0..16], ignored");
 			}
 		}
-#line 3076 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3096 "ntp_parser.c"
     break;
 
-  case 183: /* fudge_factor: T_Abbrev T_String  */
-#line 1051 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 186: /* fudge_factor: T_Abbrev T_String  */
+#line 1080 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 3082 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3102 "ntp_parser.c"
     break;
 
-  case 184: /* fudge_factor: T_Refid T_String  */
-#line 1053 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 187: /* fudge_factor: T_Refid T_String  */
+#line 1082 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 3088 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3108 "ntp_parser.c"
     break;
 
-  case 192: /* device_command: T_Device address device_item_list  */
-#line 1075 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 195: /* device_command: T_Device address device_item_list  */
+#line 1104 "../../ntpd/ntp_parser.y"
                 {
 			addr_opts_node *aon;
 
 			aon = create_addr_opts_node((yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.device, aon);
 		}
-#line 3099 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3119 "ntp_parser.c"
     break;
 
-  case 193: /* device_item_list: device_item_list device_item  */
-#line 1085 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 196: /* device_item_list: device_item_list device_item  */
+#line 1114 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3108 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3128 "ntp_parser.c"
     break;
 
-  case 194: /* device_item_list: device_item  */
-#line 1090 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 197: /* device_item_list: device_item  */
+#line 1119 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3117 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3137 "ntp_parser.c"
     break;
 
-  case 195: /* device_item: device_item_path_keyword T_String  */
-#line 1098 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 198: /* device_item: device_item_path_keyword T_String  */
+#line 1127 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String)); }
-#line 3123 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3143 "ntp_parser.c"
     break;
 
-  case 198: /* rlimit_command: T_Rlimit rlimit_option_list  */
-#line 1112 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 201: /* rlimit_command: T_Rlimit rlimit_option_list  */
+#line 1141 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.rlimit, (yyvsp[0].Attr_val_fifo)); }
-#line 3129 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3149 "ntp_parser.c"
     break;
 
-  case 199: /* rlimit_option_list: rlimit_option_list rlimit_option  */
-#line 1117 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 202: /* rlimit_option_list: rlimit_option_list rlimit_option  */
+#line 1146 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3138 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3158 "ntp_parser.c"
     break;
 
-  case 200: /* rlimit_option_list: rlimit_option  */
-#line 1122 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 203: /* rlimit_option_list: rlimit_option  */
+#line 1151 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3147 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3167 "ntp_parser.c"
     break;
 
-  case 201: /* rlimit_option: rlimit_option_keyword T_Integer  */
-#line 1130 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 204: /* rlimit_option: rlimit_option_keyword T_Integer  */
+#line 1159 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 3153 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3173 "ntp_parser.c"
     break;
 
-  case 205: /* system_option_command: T_Enable system_option_list  */
-#line 1146 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 208: /* system_option_command: T_Enable system_option_list  */
+#line 1175 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.enable_opts, (yyvsp[0].Attr_val_fifo)); }
-#line 3159 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3179 "ntp_parser.c"
     break;
 
-  case 206: /* system_option_command: T_Disable system_option_list  */
-#line 1148 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 209: /* system_option_command: T_Disable system_option_list  */
+#line 1177 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.disable_opts, (yyvsp[0].Attr_val_fifo)); }
-#line 3165 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3185 "ntp_parser.c"
     break;
 
-  case 207: /* system_option_list: system_option_list system_option  */
-#line 1153 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 210: /* system_option_list: system_option_list system_option  */
+#line 1182 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3174 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3194 "ntp_parser.c"
     break;
 
-  case 208: /* system_option_list: system_option  */
-#line 1158 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 211: /* system_option_list: system_option  */
+#line 1187 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3183 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3203 "ntp_parser.c"
     break;
 
-  case 209: /* system_option: system_option_flag_keyword  */
-#line 1166 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 212: /* system_option: system_option_flag_keyword  */
+#line 1195 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer)); }
-#line 3189 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3209 "ntp_parser.c"
     break;
 
-  case 210: /* system_option: system_option_local_flag_keyword  */
-#line 1168 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 213: /* system_option: system_option_local_flag_keyword  */
+#line 1197 "../../ntpd/ntp_parser.y"
                 {
 			if (lex_from_file()) {
 				(yyval.Attr_val) = create_attr_ival(T_Flag, (yyvsp[0].Integer));
@@ -3203,74 +3223,74 @@ yyparse (void)
 				yyerror(err_str);
 			}
 		}
-#line 3207 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3227 "ntp_parser.c"
     break;
 
-  case 223: /* tinker_command: T_Tinker tinker_option_list  */
-#line 1207 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 226: /* tinker_command: T_Tinker tinker_option_list  */
+#line 1236 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.tinker, (yyvsp[0].Attr_val_fifo)); }
-#line 3213 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3233 "ntp_parser.c"
     break;
 
-  case 224: /* tinker_option_list: tinker_option_list tinker_option  */
-#line 1212 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 227: /* tinker_option_list: tinker_option_list tinker_option  */
+#line 1241 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3222 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3242 "ntp_parser.c"
     break;
 
-  case 225: /* tinker_option_list: tinker_option  */
-#line 1217 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 228: /* tinker_option_list: tinker_option  */
+#line 1246 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3231 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3251 "ntp_parser.c"
     break;
 
-  case 226: /* tinker_option: tinker_option_keyword number  */
-#line 1225 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 229: /* tinker_option: tinker_option_keyword number  */
+#line 1254 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double)); }
-#line 3237 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3257 "ntp_parser.c"
     break;
 
-  case 239: /* miscellaneous_command: misc_cmd_dbl_keyword number  */
-#line 1250 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 242: /* miscellaneous_command: misc_cmd_dbl_keyword number  */
+#line 1279 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
 			av = create_attr_dval((yyvsp[-1].Integer), (yyvsp[0].Double));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 3248 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3268 "ntp_parser.c"
     break;
 
-  case 240: /* miscellaneous_command: misc_cmd_int_keyword T_Integer  */
-#line 1257 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 243: /* miscellaneous_command: misc_cmd_int_keyword T_Integer  */
+#line 1286 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
 			av = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 3259 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3279 "ntp_parser.c"
     break;
 
-  case 241: /* miscellaneous_command: misc_cmd_str_keyword T_String  */
-#line 1264 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 244: /* miscellaneous_command: misc_cmd_str_keyword T_String  */
+#line 1293 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
 			av = create_attr_sval((yyvsp[-1].Integer), (yyvsp[0].String));
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 3270 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3290 "ntp_parser.c"
     break;
 
-  case 242: /* miscellaneous_command: misc_cmd_str_lcl_keyword T_String  */
-#line 1271 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 245: /* miscellaneous_command: misc_cmd_str_lcl_keyword T_String  */
+#line 1300 "../../ntpd/ntp_parser.y"
                 {
 			char error_text[64];
 			attr_val *av;
@@ -3286,11 +3306,11 @@ yyparse (void)
 				yyerror(error_text);
 			}
 		}
-#line 3290 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3310 "ntp_parser.c"
     break;
 
-  case 243: /* miscellaneous_command: T_Includefile T_String command  */
-#line 1287 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 246: /* miscellaneous_command: T_Includefile T_String command  */
+#line 1316 "../../ntpd/ntp_parser.y"
                 {
 			if (!lex_from_file()) {
 				YYFREE((yyvsp[-1].String)); /* avoid leak */
@@ -3309,11 +3329,11 @@ yyparse (void)
 			}
 			YYFREE((yyvsp[-1].String)); /* avoid leak */
 		}
-#line 3313 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3333 "ntp_parser.c"
     break;
 
-  case 244: /* miscellaneous_command: T_Leapfile T_String opt_hash_check  */
-#line 1306 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 247: /* miscellaneous_command: T_Leapfile T_String opt_hash_check  */
+#line 1335 "../../ntpd/ntp_parser.y"
                 {
 			attr_val *av;
 
@@ -3321,92 +3341,92 @@ yyparse (void)
 			av->flag = (yyvsp[0].Integer);
 			APPEND_G_FIFO(cfgt.vars, av);
 		}
-#line 3325 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3345 "ntp_parser.c"
     break;
 
-  case 245: /* miscellaneous_command: T_End  */
-#line 1314 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 248: /* miscellaneous_command: T_End  */
+#line 1343 "../../ntpd/ntp_parser.y"
                         { lex_flush_stack(); }
-#line 3331 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3351 "ntp_parser.c"
     break;
 
-  case 246: /* miscellaneous_command: T_Driftfile drift_parm  */
-#line 1316 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 249: /* miscellaneous_command: T_Driftfile drift_parm  */
+#line 1345 "../../ntpd/ntp_parser.y"
                         { /* see drift_parm below for actions */ }
-#line 3337 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3357 "ntp_parser.c"
     break;
 
-  case 247: /* miscellaneous_command: T_Logconfig log_config_list  */
-#line 1318 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 250: /* miscellaneous_command: T_Logconfig log_config_list  */
+#line 1347 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.logconfig, (yyvsp[0].Attr_val_fifo)); }
-#line 3343 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3363 "ntp_parser.c"
     break;
 
-  case 248: /* miscellaneous_command: T_Phone string_list  */
-#line 1320 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 251: /* miscellaneous_command: T_Phone string_list  */
+#line 1349 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.phone, (yyvsp[0].String_fifo)); }
-#line 3349 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3369 "ntp_parser.c"
     break;
 
-  case 249: /* miscellaneous_command: T_PollSkewList pollskew_list  */
-#line 1322 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 252: /* miscellaneous_command: T_PollSkewList pollskew_list  */
+#line 1351 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.pollskewlist, (yyvsp[0].Attr_val_fifo)); }
-#line 3355 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3375 "ntp_parser.c"
     break;
 
-  case 250: /* miscellaneous_command: T_Setvar variable_assign  */
-#line 1324 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 253: /* miscellaneous_command: T_Setvar variable_assign  */
+#line 1353 "../../ntpd/ntp_parser.y"
                         { APPEND_G_FIFO(cfgt.setvar, (yyvsp[0].Set_var)); }
-#line 3361 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3381 "ntp_parser.c"
     break;
 
-  case 251: /* miscellaneous_command: T_Trap ip_address trap_option_list  */
-#line 1326 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 254: /* miscellaneous_command: T_Trap ip_address trap_option_list  */
+#line 1355 "../../ntpd/ntp_parser.y"
                 {
 			addr_opts_node *aon;
 
 			aon = create_addr_opts_node((yyvsp[-1].Address_node), (yyvsp[0].Attr_val_fifo));
 			APPEND_G_FIFO(cfgt.trap, aon);
 		}
-#line 3372 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3392 "ntp_parser.c"
     break;
 
-  case 252: /* miscellaneous_command: T_Ttl integer_list  */
-#line 1333 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 255: /* miscellaneous_command: T_Ttl integer_list  */
+#line 1362 "../../ntpd/ntp_parser.y"
                         { CONCAT_G_FIFOS(cfgt.ttl, (yyvsp[0].Attr_val_fifo)); }
-#line 3378 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3398 "ntp_parser.c"
     break;
 
-  case 257: /* misc_cmd_int_keyword: T_Leapsmearinterval  */
-#line 1348 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 260: /* misc_cmd_int_keyword: T_Leapsmearinterval  */
+#line 1377 "../../ntpd/ntp_parser.y"
                 {
 #ifndef LEAP_SMEAR
 			yyerror("Built without LEAP_SMEAR support.");
 #endif
 		}
-#line 3388 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3408 "ntp_parser.c"
     break;
 
-  case 258: /* opt_hash_check: T_Ignorehash  */
-#line 1357 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 261: /* opt_hash_check: T_Ignorehash  */
+#line 1386 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = FALSE; }
-#line 3394 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3414 "ntp_parser.c"
     break;
 
-  case 259: /* opt_hash_check: T_Checkhash  */
-#line 1359 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 262: /* opt_hash_check: T_Checkhash  */
+#line 1388 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = TRUE; }
-#line 3400 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3420 "ntp_parser.c"
     break;
 
-  case 260: /* opt_hash_check: %empty  */
-#line 1361 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 263: /* opt_hash_check: %empty  */
+#line 1390 "../../ntpd/ntp_parser.y"
                         {  (yyval.Integer) = TRUE; }
-#line 3406 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3426 "ntp_parser.c"
     break;
 
-  case 265: /* drift_parm: T_String  */
-#line 1376 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 268: /* drift_parm: T_String  */
+#line 1405 "../../ntpd/ntp_parser.y"
                 {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3417,11 +3437,11 @@ yyparse (void)
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 3421 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3441 "ntp_parser.c"
     break;
 
-  case 266: /* drift_parm: T_String T_Double  */
-#line 1387 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 269: /* drift_parm: T_String T_Double  */
+#line 1416 "../../ntpd/ntp_parser.y"
                 {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3438,11 +3458,11 @@ yyparse (void)
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 3442 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3462 "ntp_parser.c"
     break;
 
-  case 267: /* drift_parm: %empty  */
-#line 1404 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 270: /* drift_parm: %empty  */
+#line 1433 "../../ntpd/ntp_parser.y"
                 {
 			if (lex_from_file()) {
 				attr_val *av;
@@ -3452,23 +3472,23 @@ yyparse (void)
 				yyerror("driftfile remote configuration ignored");
 			}
 		}
-#line 3456 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3476 "ntp_parser.c"
     break;
 
-  case 268: /* pollskew_list: %empty  */
-#line 1417 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 271: /* pollskew_list: %empty  */
+#line 1446 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val_fifo) = NULL; }
-#line 3462 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3482 "ntp_parser.c"
     break;
 
-  case 269: /* pollskew_list: pollskew_list pollskew_spec  */
-#line 1419 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 272: /* pollskew_list: pollskew_list pollskew_spec  */
+#line 1448 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val_fifo) = append_gen_fifo((yyvsp[-1].Attr_val_fifo), (yyvsp[0].Attr_val)); }
-#line 3468 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3488 "ntp_parser.c"
     break;
 
-  case 270: /* pollskew_spec: pollskew_cycle T_Integer '|' T_Integer  */
-#line 1424 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 273: /* pollskew_spec: pollskew_cycle T_Integer '|' T_Integer  */
+#line 1453 "../../ntpd/ntp_parser.y"
                 {
 			if ((yyvsp[-2].Integer) < 0 || (yyvsp[0].Integer) < 0) {
 				/* bad numbers */
@@ -3491,83 +3511,87 @@ yyparse (void)
 			}
 			(yyval.Attr_val) = (yyvsp[-3].Attr_val);
 		}
-#line 3495 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3515 "ntp_parser.c"
     break;
 
-  case 271: /* pollskew_cycle: T_Integer  */
-#line 1449 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
-                          { (yyval.Attr_val) = ((yyvsp[0].Integer) >= 3 && (yyvsp[0].Integer) <= 17) ? create_attr_rval((yyvsp[0].Integer), 0, 0) : NULL; }
-#line 3501 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+  case 274: /* pollskew_cycle: T_Integer  */
+#line 1479 "../../ntpd/ntp_parser.y"
+                { 
+			(yyval.Attr_val) = ((yyvsp[0].Integer) >= NTP_MINPOLL && (yyvsp[0].Integer) <= NTP_MAXPOLL) 
+				? create_attr_rval((yyvsp[0].Integer), 0, 0) 
+				: NULL;
+		}
+#line 3525 "ntp_parser.c"
     break;
 
-  case 272: /* pollskew_cycle: T_Default  */
-#line 1450 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 275: /* pollskew_cycle: T_Default  */
+#line 1484 "../../ntpd/ntp_parser.y"
                           { (yyval.Attr_val) = create_attr_rval(-1, 0, 0); }
-#line 3507 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3531 "ntp_parser.c"
     break;
 
-  case 273: /* variable_assign: T_String '=' T_String t_default_or_zero  */
-#line 1456 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 276: /* variable_assign: T_String '=' T_String t_default_or_zero  */
+#line 1490 "../../ntpd/ntp_parser.y"
                         { (yyval.Set_var) = create_setvar_node((yyvsp[-3].String), (yyvsp[-1].String), (yyvsp[0].Integer)); }
-#line 3513 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3537 "ntp_parser.c"
     break;
 
-  case 275: /* t_default_or_zero: %empty  */
-#line 1462 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 278: /* t_default_or_zero: %empty  */
+#line 1496 "../../ntpd/ntp_parser.y"
                         { (yyval.Integer) = 0; }
-#line 3519 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3543 "ntp_parser.c"
     break;
 
-  case 276: /* trap_option_list: %empty  */
-#line 1467 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 279: /* trap_option_list: %empty  */
+#line 1501 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val_fifo) = NULL; }
-#line 3525 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3549 "ntp_parser.c"
     break;
 
-  case 277: /* trap_option_list: trap_option_list trap_option  */
-#line 1469 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 280: /* trap_option_list: trap_option_list trap_option  */
+#line 1503 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3534 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3558 "ntp_parser.c"
     break;
 
-  case 278: /* trap_option: T_Port T_Integer  */
-#line 1477 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 281: /* trap_option: T_Port T_Integer  */
+#line 1511 "../../ntpd/ntp_parser.y"
                         { (yyval.Attr_val) = create_attr_ival((yyvsp[-1].Integer), (yyvsp[0].Integer)); }
-#line 3540 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3564 "ntp_parser.c"
     break;
 
-  case 279: /* trap_option: T_Interface ip_address  */
-#line 1479 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 282: /* trap_option: T_Interface ip_address  */
+#line 1513 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val) = create_attr_sval((yyvsp[-1].Integer), estrdup((yyvsp[0].Address_node)->address));
 			destroy_address_node((yyvsp[0].Address_node));
 		}
-#line 3549 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3573 "ntp_parser.c"
     break;
 
-  case 280: /* log_config_list: log_config_list log_config_command  */
-#line 1487 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 283: /* log_config_list: log_config_list log_config_command  */
+#line 1521 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = (yyvsp[-1].Attr_val_fifo);
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3558 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3582 "ntp_parser.c"
     break;
 
-  case 281: /* log_config_list: log_config_command  */
-#line 1492 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 284: /* log_config_list: log_config_command  */
+#line 1526 "../../ntpd/ntp_parser.y"
                 {
 			(yyval.Attr_val_fifo) = NULL;
 			APPEND_G_FIFO((yyval.Attr_val_fifo), (yyvsp[0].Attr_val));
 		}
-#line 3567 "../../../src/ntp-stable-3758/ntpd/ntp_parser.c"
+#line 3591 "ntp_parser.c"
     break;
 
-  case 282: /* log_config_command: T_String  */
-#line 1500 "../../../src/ntp-stable-3758/ntpd/ntp_parser.y"
+  case 285: /* log_config_command: T_String  */
+#line 1534 "../../ntpd/ntp_parser.y"
                 {
 			char	prefix;
 			char *	type;
